%define name berry-theme
%define version 1.14
%define release b1

Name:		%{name}
Summary:	The Berry Linux Theme
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}
#Provides:	hicolor-icon-theme, redhat-artwork >= 7.0.0, desktop-backgrounds-basic
Provides:	hicolor-icon-theme, desktop-backgrounds-basic, oxygen-icon-theme, fedorawaves-kdm-theme, solar-kde-theme

BuildRequires:	ImageMagick
BuildArchitectures: noarch

%description
Theme for Berry Linux for KDE splash, sidebar and wallpaper.


# Setup Section
%prep
%setup -q

# Build Section
%build

# Install Section
%install
install -m 755 -d %{buildroot}/usr/share/wallpapers
install -m 755 wallpapers_kde/[!_]* %{buildroot}/usr/share/wallpapers
install -m 755 wallpapers/* %{buildroot}/usr/share/wallpapers
ln -s Cat2.jpg %{buildroot}/usr/share/wallpapers/berry-wall.jpg

install -m 755 -d %{buildroot}/usr/share/apps/kicker/pics
cp -a kicker/* %{buildroot}/usr/share/apps/kicker/pics

# for KSplash Theme
#install -m 755 -d %{buildroot}/usr/share/apps/ksplash/Themes/Berry
#cp -a ksplash/* %{buildroot}/usr/share/apps/ksplash/Themes/Berry
install -m 755 -d %{buildroot}/usr/share/kde4/apps/ksplash/Themes/Berry
cp -a ksplash/* %{buildroot}/usr/share/kde4/apps/ksplash/Themes/Berry
mkdir %{buildroot}/usr/share/config
cat << EOM > %{buildroot}/usr/share/config/ksplashrc
[KSplash]
Engine=KSplashX
Theme=Berry
EOM

# for Log Off
install -m 755 -d %{buildroot}/usr/share/apps/ksmserver/pics
cp -a ksmserver/* %{buildroot}/usr/share/apps/ksmserver/pics

# for icons
install -d -m 755 %{buildroot}/usr/share/icons
cp -a icons/[!_]* %{buildroot}/usr/share/icons
pushd icons/_Berry-Crystal-kde4
sh build
popd
rm -rf /tmp/Berry-Crystal/{128x128,ref,build}
cp -a /tmp/Berry-Crystal %{buildroot}/usr/share/icons
rm -rf /tmp/Berry-Crystal
install -d -m 755 %{buildroot}/usr/share/icons/hicolor

# for KDM Theme
install -d -m 755 %{buildroot}/usr/share/apps/kdm/themes/Berry
cp -a Berry-KDM/* %{buildroot}/usr/share/apps/kdm/themes/Berry

# for KDE about
install -d -m 755 %{buildroot}/usr/share/apps/kdeui/pics
cp -a kdeui/* %{buildroot}/usr/share/apps/kdeui/pics

# for Start Screen's Logo
#install -d -m 755 %{buildroot}/opt/berry
#cp berry.jpg %{buildroot}/opt/berry

# for Qt
install -d -m 755 %{buildroot}/usr/lib/qt-3.3/etc/settings
cp qtrc %{buildroot}/usr/lib/qt-3.3/etc/settings

# for grub
install -d -m 755 %{buildroot}/boot/grub
cp splash.xpm.gz %{buildroot}/boot/grub

# for gimp
#install -d -m 755 %{buildroot}/usr/share/gimp/2.0/images
#cp gimp/gimp-splash.png %{buildroot}/usr/share/gimp/2.0/images

#rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kstyle
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kthememgr/Themes
#mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
#mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kwin/icewm-themes
#pushd style
#  cp -R -f pixmaps $RPM_BUILD_ROOT/usr/share/apps/kstyle/
#  cp -R -f themes $RPM_BUILD_ROOT/usr/share/apps/kstyle/
#  cp -R -f wallpapers $RPM_BUILD_ROOT/usr/share/
#popd
#pushd theme
#  cp -f Acqua.ktheme $RPM_BUILD_ROOT/usr/share/apps/kthememgr/Themes/
#  cp -R -f Acqua $RPM_BUILD_ROOT/usr/share/apps/kwin/icewm-themes/
#popd

# Clean Section
%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


# Files Section
%files
%defattr (-,root,root)
/boot/grub/*
/usr/lib/qt-3.3/etc/settings/*
/usr/share/apps/kdeui/pics/aboutkde.png
/usr/share/apps/kdm/themes/*
/usr/share/apps/kicker/pics/*
/usr/share/apps/ksmserver/pics/*
/usr/share/kde4/apps/ksplash/Themes/Berry/*
/usr/share/config/ksplashrc
/usr/share/icons/*
#/usr/share/apps/kstyle/pixmaps/*
#/usr/share/apps/kstyle/themes/*
/usr/share/wallpapers/*
#/usr/share/apps/kthememgr/Themes/*
#/usr/share/apps/kwin/icewm-themes/*
#/usr/share/gimp/*/images
#/opt/berry/*


# change log
%changelog
* Tue May 8 2012 Yuichiro Nakada <berry@rberry.co.cc> - 1.14
- Removed /opt/berry/berry.jpg
- Added wallpapers
* Sat Jun 28 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- KDE4 Support (for 0.91)
* Fri Feb 8 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed aero-drop's cursor theme (for 0.88)
- Added berry.jpg, gimp splash
* Mon Jul 9 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed berry-wall, cat's wallpaper (for Berry Linux 0.81)
- Changed KDM Theme
* Fri Apr 13 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed splash.xpm.gz, icon theme (for Berry Linux 0.80)
- Changed song's wallpaper
* Wed Sep 20 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed rabbit's wallpaper (for Berry Linux 0.74)
* Thu May 18 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed cherry's wallpaper (for Berry Linux 0.70)
* Tue Jan 3 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added splash for grub (for Berry Linux 0.67)
* Wed Dec 21 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added Berry Crystal Icon Theme (for Berry Linux 0.66)
- Added qtrc
* Tue Nov 15 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed KDM Theme (for Berry Linux 0.65)
- Added berry.jpg for start screen
* Wed Jul 20 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the cat's wallpaper (for Berry Linux 0.60)
* Sun Mar 27 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Updated KDM Theme
* Sun Mar 20 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added KDM Theme for KDE-3.4
- Deleted berry-login
* Wed Dec 1 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added cursor theme
* Sat Oct 30 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added shutdownlonq.png for ksmserver
- Changed the cat's wallpaper (for Berry Linux 0.50)
* Wed Jul 28 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper (for Berry Linux 0.46)
* Mon May 24 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper and the login wallpaper (for Berry Linux 0.43)
* Mon Mar 22 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added ksplashrc, Preview.png, Theme.rc for KDE-3.2
* Wed Jan 21 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper (for Berry Linux 0.35)
* Sat Nov 8 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper (for Berry Linux 0.29)
* Mon Oct 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed ksplash images (for Berry Linux 0.28)
- Added the wallpaper
* Mon Sep 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added K-Menu sidebar image
* Thu May 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
